Commit 94c7316a authored by webchick's avatar webchick

Revert "Issue #1945262 by nod_: Replace custom weights with dependencies in library declarations"

Broke testing UI. Reverted.

This reverts commit dc5ef576.
parent d5304a46
......@@ -8,7 +8,7 @@ backbone:
url: https://github.com/jashkenas/backbone/blob/1.1.2/LICENSE
gpl-compatible: true
js:
assets/vendor/backbone/backbone-min.js: { minified: true }
assets/vendor/backbone/backbone-min.js: { weight: -19, minified: true }
dependencies:
- core/underscore
......@@ -20,7 +20,7 @@ classList:
url: https://github.com/eligrey/classList.js/blob/2014-12-13/LICENSE.md
gpl-compatible: true
js:
assets/vendor/classList/classList.min.js: { browsers: { IE: 'lte IE 9', '!IE': false }, minified: true }
assets/vendor/classList/classList.min.js: { weight: -21, browsers: { IE: 'lte IE 9', '!IE': false }, minified: true }
ckeditor:
remote: https://github.com/ckeditor/ckeditor-dev
......@@ -40,12 +40,12 @@ domready:
url: https://github.com/ded/domready/blob/v1.0.7/LICENSE
gpl-compatible: true
js:
assets/vendor/domready/ready.min.js: { minified: true }
assets/vendor/domready/ready.min.js: { weight: -21, minified: true }
drupal:
version: VERSION
js:
misc/drupal.js: {}
misc/drupal.js: { weight: -18 }
dependencies:
- core/domready
- core/drupalSettings
......@@ -102,7 +102,7 @@ drupal.announce:
drupal.autocomplete:
version: VERSION
js:
misc/autocomplete.js: {}
misc/autocomplete.js: { weight: -1 }
dependencies:
- core/jquery
- core/drupal
......@@ -246,7 +246,7 @@ drupal.tabbingmanager:
drupal.tabledrag:
version: VERSION
js:
misc/tabledrag.js: {}
misc/tabledrag.js: { weight: -1 }
dependencies:
- core/jquery
- core/modernizr
......@@ -297,7 +297,7 @@ drupal.vertical-tabs:
version: VERSION
js:
# Load before core/drupal.collapse.
misc/vertical-tabs.js: {}
misc/vertical-tabs.js: { weight: -1 }
css:
component:
misc/vertical-tabs.css: {}
......@@ -318,7 +318,7 @@ html5shiv:
url: http://www.gnu.org/licenses/gpl-2.0.html
gpl-compatible: true
js:
assets/vendor/html5shiv/html5shiv.min.js: { every_page: true, browsers: { IE: 'lte IE 8', '!IE': false }, minified: true }
assets/vendor/html5shiv/html5shiv.min.js: { every_page: true, weight: -22, browsers: { IE: 'lte IE 8', '!IE': false }, minified: true }
jquery:
remote: https://github.com/jquery/jquery
......@@ -328,7 +328,7 @@ jquery:
url: https://github.com/jquery/jquery/blob/2.1.3/MIT-LICENSE.txt
gpl-compatible: true
js:
assets/vendor/jquery/jquery.min.js: { minified: true }
assets/vendor/jquery/jquery.min.js: { minified: true, weight: -20 }
jquery.cookie:
remote: https://github.com/carhartl/jquery-cookie
......@@ -398,7 +398,7 @@ jquery.once:
url: https://github.com/RobLoach/jquery-once/blob/1.2.3/LICENSE
gpl-compatible: true
js:
assets/vendor/jquery-once/jquery.once.js: {}
assets/vendor/jquery-once/jquery.once.js: { weight: -19 }
dependencies:
- core/jquery
......@@ -410,7 +410,7 @@ jquery.ui:
url: https://github.com/jquery/jquery-ui/blob/1.11.2/MIT-LICENSE.txt
gpl-compatible: true
js:
assets/vendor/jquery.ui/ui/core-min.js: { minified: true }
assets/vendor/jquery.ui/ui/core-min.js: { weight: -11, minified: true }
css:
component:
assets/vendor/jquery.ui/themes/base/core.css: {}
......@@ -510,7 +510,7 @@ jquery.ui.effects.core:
version: *jquery_ui_version
license: *jquery_ui_license
js:
assets/vendor/jquery.ui/ui/effect-min.js: { minified: true }
assets/vendor/jquery.ui/ui/effect-min.js: { weight: -9, minified: true }
jquery.ui.effects.blind:
version: *jquery_ui_version
......@@ -787,7 +787,7 @@ jquery.ui.widget:
version: *jquery_ui_version
license: *jquery_ui_license
js:
assets/vendor/jquery.ui/ui/widget-min.js: { minified: true }
assets/vendor/jquery.ui/ui/widget-min.js: { weight: -10, minified: true }
dependencies:
- core/jquery.ui
......@@ -819,7 +819,7 @@ modernizr:
gpl-compatible: true
version: v2.8.3
js:
assets/vendor/modernizr/modernizr.min.js: { every_page: true, preprocess: 0 }
assets/vendor/modernizr/modernizr.min.js: { every_page: true, preprocess: 0, weight: -21, minified: true }
normalize:
remote: https://github.com/necolas/normalize.css
......@@ -830,7 +830,7 @@ normalize:
gpl-compatible: true
css:
base:
assets/vendor/normalize-css/normalize.css: { every_page: true }
assets/vendor/normalize-css/normalize.css: { every_page: true, weight: -20 }
picturefill:
remote: https://github.com/scottjehl/picturefill
......@@ -842,7 +842,7 @@ picturefill:
url: https://github.com/scottjehl/picturefill/blob/master/LICENSE
gpl-compatible: true
js:
assets/vendor/picturefill/picturefill.js: {}
assets/vendor/picturefill/picturefill.js: { weight: -10 }
dependencies:
- core/matchmedia
......@@ -854,4 +854,4 @@ underscore:
url: https://github.com/jashkenas/underscore/blob/1.7.0/LICENSE
gpl-compatible: true
js:
assets/vendor/underscore/underscore-min.js: { minified: true }
assets/vendor/underscore/underscore-min.js: { weight: -20, minified: true }
......@@ -3,14 +3,14 @@ drupal.contextual-links:
js:
# Ensure to run before contextual/drupal.context-toolbar.
# Core.
js/contextual.js: {}
js/contextual.js: { weight: -2 }
# Models.
js/models/StateModel.js: {}
js/models/StateModel.js: { weight: -2 }
# Views.
js/views/AuralView.js: {}
js/views/KeyboardView.js: {}
js/views/RegionView.js: {}
js/views/VisualView.js: {}
js/views/AuralView.js: { weight: -2 }
js/views/KeyboardView.js: { weight: -2 }
js/views/RegionView.js: { weight: -2 }
js/views/VisualView.js: { weight: -2 }
css:
component:
css/contextual.module.css: {}
......
......@@ -3,9 +3,9 @@ base:
css:
# Adjust the weights to load these early.
component:
css/system.module.css: { every_page: true }
css/system.module.css: { every_page: true, weight: -10, }
theme:
css/system.theme.css: { every_page: true }
css/system.theme.css: { every_page: true, weight: -10 }
dependencies:
- core/normalize
......@@ -13,7 +13,7 @@ admin:
version: VERSION
css:
theme:
css/system.admin.css: {}
css/system.admin.css: { weight: -10 }
dependencies:
- system/base
......@@ -21,7 +21,7 @@ maintenance:
version: VERSION
css:
theme:
css/system.maintenance.css: {}
css/system.maintenance.css: { weight: -10 }
dependencies:
- system/base
- system/admin
......
......@@ -21,7 +21,7 @@ views.contextual-links:
version: VERSION
js:
# Ensure to run before contextual/drupal.contextual-links.
js/views-contextual.js: {}
js/views-contextual.js: { weight: -10 }
dependencies:
- core/jquery
- core/drupal
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment